
local trainee = require("love_src.src.entities.raising.trainee")

local mode = {}

local entities = {}

function mode.load(player)
  entities.trainee = trainee.load(player)
end

function mode.update(dt)
  entities.trainee:update(dt)
end

function mode.draw()
  entities.trainee:draw()
end

function mode.keyreleased(key, scancode)
  entities.trainee:keyreleased(key, scancode)
end

function mode.keypressed(key, scancode, isrepeat)
end

function mode.mousereleased(x, y, button, istouch, presses)
end


return mode
